# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### twin4 (executable) ########################

tde_add_executable( twin4 AUTOMOC
  SOURCES main.cpp twin4.cpp twin4view.cpp twin4doc.cpp twin4player.cpp
    kspritecache.cpp scorewidget.cpp prefs.kcfgc settings.ui statistics.ui
    statuswidget.ui
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### twin4proc (executable) ####################

tde_add_executable( twin4proc AUTOMOC
  SOURCES twin4proc.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES twin4ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/twin4
)

install( FILES twin4.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
